Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.routing
Class BroadcastRouteRow

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.routing.BroadcastRouteRow

All Implemented Interfaces:
  java.io.Serializable

public class BroadcastRouteRow
extends Message
implements java.io.Serializable

Broadcast message for a row from a routing table.

Version:
  $Id: BroadcastRouteRow.java,v 1.7 2005/03/11 00:58:10 jeffh Exp $
Author:
  Andrew Ladd
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Constructor Summary
`BroadcastRouteRow(Credentials cred, java.util.Date stamp, NodeHandle from, RouteSet[] r)` Constructor.
`BroadcastRouteRow(Credentials cred, NodeHandle from, RouteSet[] r)` Constructor.
`BroadcastRouteRow(java.util.Date stamp, NodeHandle from, RouteSet[] r)` Constructor.
`BroadcastRouteRow(NodeHandle from, RouteSet[] r)` Constructor.

Method Summary
`NodeHandle` | `from()` Gets the from node.
`RouteSet[]` | `getRow()` Gets the row that was sent in the message.
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.messaging.Message
`getCredentials, getDate, getDestination, getPriority, getSender, getSenderId, getStream, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BroadcastRouteRow

    public BroadcastRouteRow(Credentials cred,
                             java.util.Date stamp,
                             NodeHandle from,
                             RouteSet[] r)

  Constructor.

Parameters:
  `cred` - the credentials
  `stamp` - the timestamp
  `from` - the node id
  `r` - the row

### BroadcastRouteRow

    public BroadcastRouteRow(java.util.Date stamp,
                             NodeHandle from,
                             RouteSet[] r)

  Constructor.

Parameters:
  `stamp` - the timestamp
  `from` - the node id
  `r` - the row

### BroadcastRouteRow

    public BroadcastRouteRow(Credentials cred,
                             NodeHandle from,
                             RouteSet[] r)

  Constructor.

Parameters:
  `cred` - the credentials
  `from` - the node id
  `r` - the row

### BroadcastRouteRow

    public BroadcastRouteRow(NodeHandle from,
                             RouteSet[] r)

  Constructor.

Parameters:
  `from` - the node id
  `r` - the row

Method Detail

### getRow

    public RouteSet[] getRow()

  Gets the row that was sent in the message.

  Returns:
    the row.

### from

    public NodeHandle from()

  Gets the from node.

  Returns:
    the from node.

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.